RESTinio

Namespaces | Typedefs | Enumerations | Functions
base64.hpp File Reference
`#include <restinio/exception.hpp>`
`#include <restinio/expected.hpp>`
`#include <restinio/utils/impl/bitops.hpp>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <string>`
`#include <array>`
`#include <exception>`
`#include <iostream>`
`#include "base64_lut.ipp"`

Go to the source code of this file.

## Namespaces
namespace | restinio
namespace | restinio::utils
namespace | restinio::utils::base64
namespace | restinio::utils::base64::impl

## Typedefs
using | restinio::utils::base64::uint_type_t = std::uint_fast32_t

## Enumerations
enum class | restinio::utils::base64::decoding_error_t { restinio::utils::base64::invalid_base64_sequence }
| Description of base64 decode error. More...

## Functions
bool | restinio::utils::base64::is_base64_char (char c) noexcept
bool | restinio::utils::base64::is_valid_base64_string (string_view_t str) noexcept
uint_type_t | restinio::utils::base64::uch (char ch)
template<unsigned int Shift>
char | restinio::utils::base64::sixbits_char (uint_type_t bs)
std::string | restinio::utils::base64::encode (string_view_t str)
expected_t< std::string, decoding_error_t > | restinio::utils::base64::try_decode (string_view_t str)
void | restinio::utils::base64::impl::throw_exception_on_invalid_base64_string (string_view_t str)
std::string | restinio::utils::base64::decode (string_view_t str)